Subject: [manet] Re: Carrier sense threshold/range control

From: "Nitin H. Vaidya" <[email-masked]>
Date: Wed, 9 Jul 2003 17:03:50 -0500 (CDT)

Reading manet mails in digest mode .... so comments on several
messages lumped together.

.  >>From: Ram Ramanathan <[email-masked]>
.  >>
.  >>To elaborate, the threshold for when carrier is declared to be "sensed" 
.  >>can be adjusted in many radios. Using this facility, one could possibly
.  >>make the "carrier sense range" approximately twice the "communication range"
.  >>(successful packet reception), and detect hidden nodes.

If I recall correctly, the paper on Wavelan (the first Wavelan) that
appeared in Bell Labs journal (AT&T journal, or whatever it was called
at the time), shows a picture that matches with your discussion above.
I think they chose a carrier sense range twice that of the transmission
range -- it seems that the Bell Labs Tehcnical Journal has disappeared
from the web, so I cannot find the paper (which was written by Bruce 
Tuch).

.  >>From: "[email-masked]" <[email-masked]>
.  >>
.  >>Actually, that's not entirely correct - the RTS/CTS dialogue will *in
.  >>principle* solve both the hidden- and the exposed-terminal problems. The

It will solve the hidden terminal problem if the nodes that
interfere with the reception at a host R are also the nodes
that reliably receive the transmission of CTS from host R -- this
may not the case.

.  >>From: "Dmitri D. Perkins" <[email-masked]>
.  >>
.  >>Dr. Haas,
.  >>
.  >>Using the illustration referenced and assuming an RTS/CTS/DATA/ACK
.  >>transmission scenario, the RTS must disable all nodes within range of
.  >>B (since B must also recieve an ACK from A). Using the same illustration,
.  >>if C is allowed transmit to D while B is transmitting to A, how will be
.  >>B receive and ACK from A? It may now send C's transmission will like
.  >>interfere.
.  >>
.  >>Thus, the duration field of the RTS message must forced neigboring nodes
.  >>to remain silent long enough for the sender (node B) to receive a CTS from
.  >>node A + send a data frame to node A + recv an ACK from node A. The RTS
.  >>duration field will also need to account for DIFS and SIFS (interframe
.  >>spacing).
.  >>
.  >>Now, if no ACK (an unreliable MAC) are used C should be allowed to
.  >>transmit, but performance will suffer due to wireless channel effects.

Zygmunt is refering to MACA I think, whereas you might be refering
to 802.11. Both are right, of course, Incidentally, 802.11 is
conservative in the manner in which collisions with ACKs are prevented
(neighbors of the senders only need disable transmissions during the
ACK reception at the sender, but 802.11 disables them for the entire
transaction -- that simplifies NAV maintenance).

- nitin

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet

---

From: "Dmitri D. Perkins" <[email-masked]>
Date: Wed, 9 Jul 2003 17:19:22 -0500 (CDT)

==================================================
Dr. Dmitri D. Perkins, Assistant Professor
The Center for Advanced Computer Studies
University of Louisiana at Lafayette
P.O. Box 44330, Lafayette, LA 70504-4330

office: (337)482-6732	fax: (337)482-5791
http://www.cacs.louisiana.edu/~perkins
==================================================

---

From: "Dmitri D. Perkins" <[email-masked]>
Date: Wed, 9 Jul 2003 17:53:22 -0500 (CDT)

Sorry about the previous mail...

Question...Referencing the previous illustration (A<-----B    C------>D),
is there any work showing the benefit versus overhead or complexity for
the following scenario:

1. allow node C to transmit to D while B is transmitting a data frame to A
2. force C to keep silent just in time for B to receive the ACK from A.

This MAY result in better channel utilization but SHOULD require a more
complex access/NAV scheme. Any thoughts...

BTW...
Regarding the use of end-to-end ACKs versus MAC-layer ACKs, if we compare
the performance of TCP over CS/RTS/CTS/DATA/ACK versus CS/RTS/CTS/DATA
versus CS/DATA, TCP over CS/RTS/CTS/DATA/ACK will typically perform
better. I believe Gerla's group at UCLA has published some work on this
issue. Of course, one cause of the decreased throughput when using TCP is
the use of slow-start when a packet loss occurs. Any thoughts...

Thanks,
Dmitri

---

From: "Nitin H. Vaidya" <[email-masked]>
Date: Wed, 9 Jul 2003 18:09:04 -0500 (CDT)

.  >>Question...Referencing the previous illustration (A<-----B    C------>D),
.  >>is there any work showing the benefit versus overhead or complexity for
.  >>the following scenario:
.  >>
.  >>1. allow node C to transmit to D while B is transmitting a data frame to A
.  >>2. force C to keep silent just in time for B to receive the ACK from A.
.  >>
.  >>This MAY result in better channel utilization but SHOULD require a more
.  >>complex access/NAV scheme. Any thoughts...

In the above scenario, C needs to sneak in its DATA (and perhaps RTS)
packet between the reception of CTS and ACK node B. This may not
be feasible (depends on packet sizes).

The gains could be much more interesting in the scenario below, which
simply reverses directions of the data transmissions (provided that
A does not pose too much interference at C, and D at B).

   A --------> B         C <----------- D

- nitin

---

From: "Alaa Muqattash" <[email-masked]>
Date: Wed, 9 Jul 2003 16:29:54 -0700

----- Original Message -----
From: "Nitin H. Vaidya" <[email-masked]>
To: "Dmitri D. Perkins" <[email-masked]>
Cc: "MANET mailing list" <[email-masked]>
Sent: Wednesday, July 09, 2003 4:09 PM
Subject: [manet] Re: Carrier sense threshold/range control

>    A --------> B         C <----------- D

This is exactly what PCMA  and PCDC do (see reference below); they allow
nodes to access the channel simultaneously only if the interference is *not
high enough* to cause collisions at the receivers. However, note that they
use two channels and are not compatible with the 802.11 approach.

Jeffrey P. Monks, Vaduvur Bharghavan, and Wen-mei Hwu, "A Power Controlled
Multiple Access (PCMA) Protocol for Wireless Packet Networks," IEEE INFOCOM
2001, Anchorage, Alaska, April, 2001

Alaa Muqattash and Marwan Krunz "Power Controlled Dual Channel (PCDC) Medium
Access Protocol for Wireless Ad Hoc Networks," in the Proceedings of the
IEEE INFOCOM'03 Conference, San Francisco, April 2003.

---

From: "Nitin H. Vaidya" <[email-masked]>
Date: Wed, 9 Jul 2003 18:39:53 -0500 (CDT)

On Wed, 9 Jul 2003, Alaa Muqattash wrote:

.  >>----- Original Message -----
.  >>
.  >>> The gains could be much more interesting in the scenario below, which
.  >>> simply reverses directions of the data transmissions (provided that
.  >>> A does not pose too much interference at C, and D at B).
.  >>>
.  >>>    A --------> B         C <----------- D
.  >>>
.  >>> - nitin
.  >>
.  >>
.  >>This is exactly what PCMA  and PCDC do (see reference below); they allow

Not quite the same as PCMA ... since the basic RTS/CTS mechanisms
do not explicitly look at SNR, unlike PCMA.

In any case, I think I got the example wrong in that it may not
be any more interesting than the example with the flows in opposite
directions. If B and C above were closer though, one could conceive
a bit smarter MAC -- for instance, if C hears the RTS received
by B from A, then C can overlap its RTS with the CTS it expects B to
send to A. Too complex for this time of the day ...

- nitin

---

From: Jing Deng <[email-masked]>
Date: Thu, 10 Jul 2003 15:44:31 -0400 (EDT)

Prof. Vaidya,

In the first scenario, node C may not be able to sneak in its RTS and DATA
packet transmissions even if their lengths are short enough. The problem
is that it won't be able to receive node D's CTS reply correctly. Thus, if
the RTS/CTS/DATA handshakes are implemented on a single channel (and
assuming the same transmission ranges), the exposed terminals should never
try to send their RTS requests.

So node C may have only one choice: keep silent while node B is sending.
If an ACK packet is to be transmitted back to node B (the DATA packet
sender), node C may want to be quiet for a little bit longer.

It will be another story if out-of-band signaling or multiple channels
are in use.

Jing

-----------------------------------------------------------
Dr. Jing Deng               http://www.cis.syr.edu/~jdeng01
2-191 CST, CASE Center      Email: [email-masked]
Dept. of EECS               Phone:  (315) 443-3029
Syracuse University         Fax:    (315) 443-4745
Syracuse, NY 13244
--------------------------- @_@ ---------------------------

---

From: "Chi-Hsiang Yeh" <[email-masked]>
Date: Thu, 10 Jul 2003 17:25:08 -0400

Hi, Nitin,

> .  >>> The gains could be much more interesting in the 
> scenario below, which .  >>> simply reverses directions of 
> the data transmissions (provided that .  >>> A does not pose 
> too much interference at C, and D at B). .  >>>
> Not quite the same as PCMA ... since the basic RTS/CTS 
> mechanisms do not explicitly look at SNR, unlike PCMA.
> 
> In any case, I think I got the example wrong in that it may 
> not be any more interesting than the example with the flows 
> in opposite directions. If B and C above were closer though, 
> one could conceive a bit smarter MAC -- for instance, if C 
> hears the RTS received by B from A, then C can overlap its 
> RTS with the CTS it expects B to send to A. Too complex for 
> this time of the day ...

Could you explain your strategy (and the assumed scenario) more clearly?
If C sends RTS then C is a transmitter and what you said is neither the
above "A->B C<-D" scenario nor the "A<-B C->D" scenario (in Dmitri's
mail). If C sends CTS and uses MACA/BI-type of mechanisms, the resultant
strategy still has fundamental problems besides its complexity...

Chihsiang